## poco 1.3.6p1-4+deb7u1

=== debian/changelog ===
poco (1.3.6p1-4+deb7u1) wheezy-security; urgency=high

  [Maxime Chatelle]
  * Adds debian/patches/70_fix_CVE-2014-0350.dpatch (Closes: #746637).
    The patch is backported from poco-1.4.7 where the vulnerability
    has been fixed.

  [Jochen Sprickerhof]
  * Add backported patch for CVE-2017-1000472

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 10 Jan 2018 13:11:20 +0100

poco (1.3.6p1-5) unstable; urgency=medium

poco (1.3.6p1-4) unstable; urgency=low

  * Wheezy cleanup release (3): should fix FTBFS on GNU/kFreeBSD for real.
  * debian/patches/60_no_link_dl_rt.dpatch: link against {dl,rt} libraries
    only for Poco Foundation, and both on Linux and kFreeBSD.

 -- Cristian Greco <cristian@debian.org>  Fri, 27 Jul 2012 23:08:20 +0200

poco (1.3.6p1-3) unstable; urgency=low

  * Wheezy cleanup release (2): pull some more fixes from experimental.
  * All FTBFS are fixed now. (Closes: #626088, #650059, #680807)
  * debian/rules:
    - select the right configuration options for GNU/kFreeBSD.
    - drop extra --no-fpenvironment option now that arm is gone.
  * debian/control: fix and expand short and extended descriptions.

 -- Cristian Greco <cristian@debian.org>  Fri, 27 Jul 2012 07:15:34 +0200

poco (1.3.6p1-2) unstable; urgency=low

  * Wheezy cleanup release: pull some patches from the poco version in
    experimental to fix FTBFS and other important problems.
  * debian/patches:
    - 20_ftbfs_gcc47.dpatch: fix FTBFS with gcc-4.7.
    - 30_fix_odbc_makefile.dpatch: use multiarch tuple when detecting
      odbc library path. (Closes: #654238)
    - 40_fix_kfreebsd_ftbfs.dpatch: fix FTBFS on GNU/kFreeBSD.
    - 50_fix_mipsel_endianness.dpatch: correctly detect mipsel
      architecture.
  * debian/rules: don't build the testsuite as we don't actually run it.
  * debian/source/format: dpkg format is 1.0.
  * debian/control:
    - add myself as uploader.
    - remove Krzysztof Burghardt from uploaders. (Closes: #678877)

 -- Cristian Greco <cristian@debian.org>  Thu, 26 Jul 2012 21:26:56 +0200

poco (1.3.6p1-1) unstable; urgency=low

  * New Upstream Version
  * Removed 20_unbundled.dpatch (merged into upstream)
  * Removed 30_sh-support.dpatch (merged into upstream)

 -- Patrick Gansterer <paroga@paroga.com>  Thu, 24 Dec 2009 11:13:32 +0100

poco (1.3.6-1) unstable; urgency=low

  * New Upstream Version
  * Corrected package dependencies (Closes: #545854)
  * Removed 20_gcc44-missing-include.dpatch (merged into upstream)
  * Now using upstream unbundled implementation (Closes: #560936)
    + using r1294 from SVN poco 1.3.6 branch
    + new patch: 20_unbundled.dpatch
    + removed patch: 30_use-system-zlib.dpatch
    + new build dependencies: libpcre3-dev, libsqlite3-dev
  * Added 30_sh-support.dpatch to support sh4 (Closes: #548113)

 -- Patrick Gansterer <paroga@paroga.com>  Thu, 17 Dec 2009 03:07:02 +0100

poco (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * *-dbg packages moved to section debug.
  * 30_crypto-testsuit-missing-libs.dpatch removed.
  * POCO no longer use statically linked zlib:
    + new patch: 30_use-system-zlib.dpatch
    + new build dependency: zlib1g-dev
  * Updated Standards-Version to 3.8.3, no changes needed.

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sun, 30 Aug 2009 19:49:57 +0200

poco (1.3.3p1-2) unstable; urgency=low

  * Fixed FTBFS with GCC 4.4 due to missing #include (Closes: #505619)
  * Renamed 20_gcc43-missing-include.dpatch to 20_gcc44-missing-include.dpatch
  * Downgraded dependencies on -dbg packages (Closes: #504342)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sat, 15 Nov 2008 11:39:15 +0100

poco (1.3.3p1-1) unstable; urgency=low

  * New upstream release.
  * 30_missing_paltforms.dpatch removed (merged into upstream).
  * libpoco-dev provides, conflicts, replaces libpoco5-dev.

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Wed, 29 Oct 2008 18:45:34 +0100

poco (1.3.2+dfsg1-3) unstable; urgency=low

  * Add dpatch 30_missing_paltforms to debian/patches/00list (Closes: #487934)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Thu, 26 Jun 2008 21:29:10 +0200

poco (1.3.2+dfsg1-2) unstable; urgency=low

  * Acknowledge NMU
  * Add dpatch 30_missing_paltforms to support m68k and s390 (Closes: #487934)
  * Suggests libpoco-doc instead of libpoco5-doc (Closes: #487394)
  * Updated Standards-Version to 3.8.0, no changes needed (Closes: #487392)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Wed, 25 Jun 2008 18:38:34 +0200

poco (1.3.2+dfsg1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * libpoco5-dev provides, conflicts, replaces libpoco-dev (Closes: #487353)

 -- George Danchev <danchev@spnet.net>  Sat, 21 Jun 2008 10:05:06 +0000

poco (1.3.2+dfsg1-1) unstable; urgency=low

  * New upstream
  * Acknowledge NMU
  * Upstream tarball repacked to remove non DFSG-free pieces
  * debian/changelog: Homepage: pseudo-header changed to regular field
  * debian/control:
     + Splited POCO into several small packages as all libraries
       and their debug version are about 10MB.
     + Updated Standards-Version: to 3.7.3 (no changes needed)
  * debian/rules:
     + Re-enabled test suite (--no-tests removed)
     + Removed CFLAGS
  * debian/watch: updated to track data branch
  * debian/patches/10_disable-rpath.dpatch: updated for 1.3.2
  * debian/patches/20_gcc43-missing-include.dpatch: replaces all other
    gcc 4.3 patches

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Mon, 09 Jun 2008 00:28:50 +0200

poco (1.2.9-2.1) unstable; urgency=low

  * Non-maintainer upload to fix clamfs' FTBFS
  * Added 40_gcc_4.3_missing_include.dpatch to add a missing header
    in Foundation/include/Poco/FIFOStrategy.h (Closes: #455147)
  * Moved Homepage from pseudo field to real field
  * Added a watch file
  * Updated Standards-Version to 3.7.3, no changes needed

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Fri, 21 Mar 2008 19:29:38 -0300

poco (1.3.0-1) experimental; urgency=low

  * New upstream


