## poco 1.3.6p1-5

=== Zip/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Zip/Makefile#2 $
#
# Makefile for Poco Zip
#

include $(POCO_BASE)/build/rules/global

objects = AutoDetectStream Compress Decompress ParseCallback PartialStream \
	SkipCallback ZipArchive ZipArchiveInfo ZipDataInfo \
	ZipFileInfo ZipLocalFileHeader ZipStream ZipUtil ZipCommon ZipException \
	Add Delete Keep Rename Replace ZipManipulator ZipOperation

target         = PocoZip
target_version = $(LIBVERSION)
target_libs    = PocoFoundation

include $(POCO_BASE)/build/rules/lib
