=== Foundation/samples/BinaryReaderWriter/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Foundation/samples/BinaryReaderWriter/Makefile#1 $
#
# Makefile for Poco BinaryReaderWriter
#

include $(POCO_BASE)/build/rules/global

objects = BinaryReaderWriter

target         = BinaryReaderWriter
target_version = 1
target_libs    = PocoFoundation

include $(POCO_BASE)/build/rules/exec
