=== Net/samples/HTTPFormServer/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Net/samples/HTTPFormServer/Makefile#1 $
#
# Makefile for Poco HTTPFormServer
#

include $(POCO_BASE)/build/rules/global

objects = HTTPFormServer

target         = HTTPFormServer
target_version = 1
target_libs    = PocoUtil PocoNet PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec
