=== Net/samples/TwitterClient/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Net/samples/TwitterClient/Makefile#1 $
#
# Makefile for Poco Twitter Client
#

include $(POCO_BASE)/build/rules/global

objects = Twitter TweetApp

target         = tweet
target_version = 1
target_libs    = PocoUtil PocoNet PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec
