=== XML/samples/DOMWriter/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/XML/samples/DOMWriter/Makefile#1 $
#
# Makefile for Poco DOMWriter
#

include $(POCO_BASE)/build/rules/global

objects = DOMWriter

target         = DOMWriter
target_version = 1
target_libs    = PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec
