=== Zip/samples/unzip/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Zip/samples/unzip/Makefile#1 $
#
# Makefile for Poco SampleServer
#

include $(POCO_BASE)/build/rules/global

objects = unzip

target         = unzip
target_version = 1
target_libs    = PocoZip PocoUtil PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec
