=== debian/watch ===
version=3
http://sf.net/poco/poco-(.*)-all\.tar\.gz
