## poco 1.3.6p1-5+deb8u1

=== debian/changelog ===
poco (1.3.6p1-5+deb8u1) jessie-security; urgency=high

  * Add backported patch for CVE-2017-1000472

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 09 Jan 2018 21:29:21 +0100
