## poco 1.4.2p1

=== debian/changelog ===
poco (1.4.2p1-6) experimental; urgency=low

  * debian/rules: build testsuite with hardening flags disabled (seems
    to require a lot of memory).
  * Revert "no-link-dl-rt.patch: drop patch, now unneeded."
    Revert the patch because -ldl and -lrt are needed on FreeBSD.
    This should really be handled by upstream in build/config/FreeBSD.

 -- Cristian Greco <cristian@debian.org>  Fri, 23 Dec 2011 15:21:51 +0100

poco (1.4.2p1-5) experimental; urgency=low

  * debian/testrunner.sh:
    - fix detection of libs directory.
    - copy some more files needed by the Foundation testsuite.
    - disable Net testsuite because there are some tests failing randomly.
  * debian/rules: append --as-needed to LDFLAGS.
  * debian/patches:
    - honor-buildflags.patch: new patch, let the build system honor flags
      obtained through dpkg-buildflags.
    - no-link-dl-rt.patch: drop patch, now unneeded.

 -- Cristian Greco <cristian@debian.org>  Fri, 23 Dec 2011 00:44:24 +0100

poco (1.4.2p1-4) experimental; urgency=low

  * debian/rules:
    - enable selected tests using a testrunner.sh script.
    - enable default hardening options from dpkg-buildflags.

 -- Cristian Greco <cristian@debian.org>  Wed, 21 Dec 2011 17:02:18 +0100

poco (1.4.2p1-3) experimental; urgency=low

  * debian/patches:
    - no-link-dl-rt.patch: updated to work also for kFreeBSD.
    - fix-kfreebsd-ftbfs.patch: new patch, fix build failure on kFreeBSD.
  * debian/control: expanded extended descriptions.
  * Do not install empty NEWS file in libpoco.dev.

 -- Cristian Greco <cristian@debian.org>  Wed, 09 Nov 2011 17:35:12 +0100

poco (1.4.2p1-2) experimental; urgency=low

  * debian/patches:
    - 10_disable-rpath.patch: renamed to disable-rpath.patch, refreshed
      and added information.
    - no-debug-build.patch: do not build libraries in debug mode, either
      shared or static.
    - no-strip-release-build.patch: do not strip libraries built in release
      mode by default, let dh_strip to the job instead.
    - no-link-dl-rt.patch: link only Foundation library against dl/rt libs
      on Linux.
  * debian/rules:
    - strip release libraries in their corrisponding -dbg packages and drop
      lintian overrides.
    - select the right configuration options for kfreebsd, trying to fix
      the FTBFS.
    - drop now useless command to remove hidden files.
  * debian/control: adjust dependencies for -dbg packages.

 -- Cristian Greco <cristian@debian.org>  Sun, 06 Nov 2011 13:27:26 +0100

poco (1.4.2p1-1) experimental; urgency=low

  [ Patrick Gansterer ]
  * New Upstream Version (Closes: #612360)
    - Upload to experimental.

  [ Cristian Greco ]
  * Convert package to source format 3.0 (quilt).
  * Switch to debhelper compatibility level 8 and reduce debian/rules
    in size. Also enable parallel build.
  * fix-odbc-makefile.patch: new patch, use multiarch tuple when detecting
    odbc library path. (Closes: #642733)
  * debian/rules: don't build the testsuite as we are not running it anyway.
  * debian/control:
    - fix lintian warnings about short descriptions.
    - add misc:Depends to libpoco-dev.
    - add myself to Uploaders.
  * debian/watch: track the .bz2 archive.

 -- Cristian Greco <cristian@debian.org>  Wed, 20 Oct 2011 00:46:53 +0200

poco (1.3.6p2-1) unstable; urgency=low

  * New Upstream Version

 -- Patrick Gansterer <paroga@paroga.com>  Sun, 24 Jan 2010 18:25:59 +0100
